org.eclipse.emf.compare.ide.ui.internal.logical

## Class EMFSynchronizationCompareAdapter

- java.lang.Object
- - org.eclipse.team.ui.mapping.SynchronizationCompareAdapter
  - - org.eclipse.emf.compare.ide.ui.internal.logical.EMFSynchronizationCompareAdapter

All Implemented Interfaces:
  org.eclipse.team.ui.mapping.ISynchronizationCompareAdapter

    public class EMFSynchronizationCompareAdapter
    extends org.eclipse.team.ui.mapping.SynchronizationCompareAdapter

Allows us to provide comparison support for the EMF model provider.

### Constructor Summary

Constructors
Constructor and Description
`EMFSynchronizationCompareAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.compare.structuremergeviewer.ICompareInput` `asCompareInput(org.eclipse.team.core.mapping.ISynchronizationContext context, Object o)`
`boolean` `hasCompareInput(org.eclipse.team.core.mapping.ISynchronizationContext context, Object object)`
`org.eclipse.core.resources.mapping.ResourceMapping[]` `restore(org.eclipse.ui.IMemento memento)`
`void` `save(org.eclipse.core.resources.mapping.ResourceMapping[] mappings, org.eclipse.ui.IMemento memento)`

### Methods inherited from class org.eclipse.team.ui.mapping.SynchronizationCompareAdapter

`getImageDescriptor, getName, getPathString, getSynchronizationState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFSynchronizationCompareAdapter

    public EMFSynchronizationCompareAdapter()

### Method Detail

#### hasCompareInput

    public boolean hasCompareInput(org.eclipse.team.core.mapping.ISynchronizationContext context,
                                   Object object)

Specified by:
  `hasCompareInput` in interface `org.eclipse.team.ui.mapping.ISynchronizationCompareAdapter`
Overrides:
  `hasCompareInput` in class `org.eclipse.team.ui.mapping.SynchronizationCompareAdapter`

#### asCompareInput

    public org.eclipse.compare.structuremergeviewer.ICompareInput asCompareInput(org.eclipse.team.core.mapping.ISynchronizationContext context,
                                                                                 Object o)

Specified by:
  `asCompareInput` in interface `org.eclipse.team.ui.mapping.ISynchronizationCompareAdapter`
Overrides:
  `asCompareInput` in class `org.eclipse.team.ui.mapping.SynchronizationCompareAdapter`

#### save

    public void save(org.eclipse.core.resources.mapping.ResourceMapping[] mappings,
                     org.eclipse.ui.IMemento memento)

#### restore

    public org.eclipse.core.resources.mapping.ResourceMapping[] restore(org.eclipse.ui.IMemento memento)